# -*- coding: utf-8 -*-
"""terminal_script.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1duanKMtxarhR6CmSz_hEoFuOycDWPSo3
"""

# Commented out IPython magic to ensure Python compatibility.
from google.colab import auth

! pip install datasets
! pip install transformers
! pip install sentencepiece

bert-base-uncased
roberta-base
google/electra-base-discriminator

bert-base-multilingual-uncased
xlm-roberta-base

Tasks: [lcc, trofi, vua_verb, vua_pos, lcc_fa, lcc_es, lcc_ru, lcc_trofi, trofi_lcc]

# %env MDL_CODE=/content/edge-probe/scripts/mdl_probing.py
# %env EDGE_CODE=/content/edge-probe/scripts/edge_probing.py

# Commented out IPython magic to ensure Python compatibility.
# %%shell
python3 $EDGE_CODE bert-base-uncased-random-weights lcc 0
python3 $EDGE_CODE bert-base-uncased-random-weights trofi 0
python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb 0
python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos 0

python3 $EDGE_CODE bert-base-uncased-random-weights lcc 1
python3 $EDGE_CODE bert-base-uncased-random-weights trofi 1
python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb 1
python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos 1

python3 $EDGE_CODE bert-base-uncased-random-weights lcc 2
python3 $EDGE_CODE bert-base-uncased-random-weights trofi 2
python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb 2
python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos 2

! python3 $EDGE_CODE bert-base-uncased lcc-trofi 0
! python3 $EDGE_CODE bert-base-uncased lcc-trofi 1
! python3 $EDGE_CODE bert-base-uncased lcc-trofi 2

! python3 $EDGE_CODE bert-base-uncased trofi-lcc 0
! python3 $EDGE_CODE bert-base-uncased trofi-lcc 1
! python3 $EDGE_CODE bert-base-uncased trofi-lcc 2

! python3 $EDGE_CODE bert-base-uncased vua_pos-lcc 0
! python3 $EDGE_CODE bert-base-uncased vua_pos-lcc 1
! python3 $EDGE_CODE bert-base-uncased vua_pos-lcc 2

! python3 $EDGE_CODE bert-base-uncased lcc-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased lcc-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased lcc-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased trofi-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased trofi-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased trofi-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased vua_verb-trofi 0
! python3 $EDGE_CODE bert-base-uncased vua_verb-trofi 1
! python3 $EDGE_CODE bert-base-uncased vua_verb-trofi 2

! python3 $EDGE_CODE bert-base-uncased vua_pos-trofi 0
! python3 $EDGE_CODE bert-base-uncased vua_pos-trofi 1
! python3 $EDGE_CODE bert-base-uncased vua_pos-trofi 2

! python3 $EDGE_CODE bert-base-uncased trofi-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased trofi-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased trofi-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased vua_verb-lcc 0
! python3 $EDGE_CODE bert-base-uncased vua_verb-lcc 1
! python3 $EDGE_CODE bert-base-uncased vua_verb-lcc 2

! python3 $EDGE_CODE bert-base-uncased lcc-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased lcc-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased lcc-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased trofi-trofi 0
! python3 $EDGE_CODE bert-base-uncased trofi-trofi 1
! python3 $EDGE_CODE bert-base-uncased trofi-trofi 2

! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased lcc-lcc 0
! python3 $EDGE_CODE bert-base-uncased lcc-lcc 1
! python3 $EDGE_CODE bert-base-uncased lcc-lcc 2

! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased vua_pos-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased vua_verb-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 0
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 1
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 0
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 1
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-trofi 0
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-trofi 1
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-trofi 2

! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-lcc 0
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-lcc 1
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-lcc 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-lcc 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-lcc 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-lcc 2

! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-trofi 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-trofi 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-trofi 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-trofi 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-trofi 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-trofi 2

! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-lcc 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-lcc 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-lcc 2

! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 0
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 1
! python3 $EDGE_CODE bert-base-uncased-random-weights trofi-trofi 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_pos 2

! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 0
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 1
! python3 $EDGE_CODE bert-base-uncased-random-weights lcc-lcc 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_verb 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_verb 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_pos-vua_verb 2

! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_pos 0
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_pos 1
! python3 $EDGE_CODE bert-base-uncased-random-weights vua_verb-vua_pos 2

# EN
! python3 $EDGE_CODE xlm-roberta-base lcc 0
! python3 $EDGE_CODE xlm-roberta-base lcc 1
! python3 $EDGE_CODE xlm-roberta-base lcc 2


! python3 $EDGE_CODE xlm-roberta-base lcc_en_es 0
! python3 $EDGE_CODE xlm-roberta-base lcc_en_es 1
! python3 $EDGE_CODE xlm-roberta-base lcc_en_es 2

! python3 $EDGE_CODE xlm-roberta-base lcc_en_ru 0
! python3 $EDGE_CODE xlm-roberta-base lcc_en_ru 1
! python3 $EDGE_CODE xlm-roberta-base lcc_en_ru 2

! python3 $EDGE_CODE xlm-roberta-base lcc_en_fa 0
! python3 $EDGE_CODE xlm-roberta-base lcc_en_fa 1
! python3 $EDGE_CODE xlm-roberta-base lcc_en_fa 2

# ES
! python3 $EDGE_CODE xlm-roberta-base lcc_es 0
! python3 $EDGE_CODE xlm-roberta-base lcc_es 1
! python3 $EDGE_CODE xlm-roberta-base lcc_es 2

! python3 $EDGE_CODE xlm-roberta-base lcc_es_ru 0
! python3 $EDGE_CODE xlm-roberta-base lcc_es_ru 1
! python3 $EDGE_CODE xlm-roberta-base lcc_es_ru 2

! python3 $EDGE_CODE xlm-roberta-base lcc_es_fa 0
! python3 $EDGE_CODE xlm-roberta-base lcc_es_fa 1
! python3 $EDGE_CODE xlm-roberta-base lcc_es_fa 2

! python3 $EDGE_CODE xlm-roberta-base lcc_es_en 0
! python3 $EDGE_CODE xlm-roberta-base lcc_es_en 1
! python3 $EDGE_CODE xlm-roberta-base lcc_es_en 2

# FA
! python3 $EDGE_CODE xlm-roberta-base lcc_fa 0
! python3 $EDGE_CODE xlm-roberta-base lcc_fa 1
! python3 $EDGE_CODE xlm-roberta-base lcc_fa 2

! python3 $EDGE_CODE xlm-roberta-base lcc_fa_ru 0
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_ru 1
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_ru 2

! python3 $EDGE_CODE xlm-roberta-base lcc_fa_en 0
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_en 1
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_en 2

! python3 $EDGE_CODE xlm-roberta-base lcc_fa_es 0
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_es 1
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_es 2

# RU
! python3 $EDGE_CODE xlm-roberta-base lcc_ru 0
! python3 $EDGE_CODE xlm-roberta-base lcc_ru 1
! python3 $EDGE_CODE xlm-roberta-base lcc_ru 2

! python3 $EDGE_CODE xlm-roberta-base lcc_ru_fa 0
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_fa 1
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_fa 2

! python3 $EDGE_CODE xlm-roberta-base lcc_ru_en 0
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_en 1
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_en 2

! python3 $EDGE_CODE xlm-roberta-base lcc_ru_es 0
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_es 1
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_es 2

# EN
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc 2


! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_es 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_fa 2

# ES
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_fa 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_en 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_en 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_en 2

# FA
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_en 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_en 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_en 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_es 2

# RU
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_fa 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_en 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_en 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_en 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_es 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru 0

! python3 $MDL_CODE bert-base-uncased lcc 0
! python3 $MDL_CODE bert-base-uncased trofi 0
! python3 $MDL_CODE bert-base-uncased vua_verb 0
! python3 $MDL_CODE bert-base-uncased vua_pos 0

# Commented out IPython magic to ensure Python compatibility.
%%shell
python3 $MDL_CODE roberta-base lcc 0
python3 $MDL_CODE roberta-base trofi 0
python3 $MDL_CODE roberta-base vua_pos 0
python3 $MDL_CODE roberta-base vua_verb 0

# Commented out IPython magic to ensure Python compatibility.
%%shell
python3 $MDL_CODE google/electra-base-discriminator lcc 0
python3 $MDL_CODE google/electra-base-discriminator trofi 0
python3 $MDL_CODE google/electra-base-discriminator vua_pos 0
python3 $MDL_CODE google/electra-base-discriminator vua_verb 0

! python3 $MDL_CODE bert-base-uncased-random-weights lcc 0
! python3 $MDL_CODE bert-base-uncased-random-weights trofi 0
! python3 $MDL_CODE bert-base-uncased-random-weights vua_verb 0
! python3 $MDL_CODE bert-base-uncased-random-weights vua_pos 0

! python3 $EDGE_CODE xlm-roberta-base lcc_es_es 0
! python3 $EDGE_CODE xlm-roberta-base lcc_es_es 1
! python3 $EDGE_CODE xlm-roberta-base lcc_es_es 2

! python3 $EDGE_CODE xlm-roberta-base lcc_en_en 0
! python3 $EDGE_CODE xlm-roberta-base lcc_en_en 1
! python3 $EDGE_CODE xlm-roberta-base lcc_en_en 2

! python3 $EDGE_CODE xlm-roberta-base lcc_fa_fa 0
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_fa 1
! python3 $EDGE_CODE xlm-roberta-base lcc_fa_fa 2

! python3 $EDGE_CODE xlm-roberta-base lcc_ru_ru 0
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_ru 1
! python3 $EDGE_CODE xlm-roberta-base lcc_ru_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_en_en 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_es_es 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_fa_fa 2

! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 0
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 1
! python3 $EDGE_CODE xlm-roberta-base-random-weights lcc_ru_ru 2